File: CHANGELOG.md

package info (click to toggle)
ruby-recaptcha 4.11.1-2
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, buster, sid
  • size: 380 kB
  • sloc: ruby: 863; makefile: 3
file content (103 lines) | stat: -rw-r--r-- 2,439 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
## 4.11.0 - 2018-08-06
* prefer RAILS_ENV over RACK_ENV #286

## 4.0.0 - 2016-11-14
* public_key -> site_key and private_key -> secret_key

## 3.4.0 - 2016-11-01
* Update fallback html

## 3.2.0 - 2016-06-13
* remove SKIP_VERIFY_ENV constant, use `skip_verify_env` instance variable instead

## 3.1.0 - 2016-06-10
* better error messages
* frozen constants

## 3.0.0 - 2016-05-27
* remove all non-ssl options

## 2.3.0 - 2016-05-25
* enable ssl verification by default ... disable via `disable_ssl_verification = true`

## 2.2.0 - 2016-05-23
* Add global hostname validator config
* Clean up after with_configuration exception

## 2.1.0 - 2016-05-19
* do not query google if repactcha was not submitted

## 2.0.0 - 2016-05-17
* remove stoken support, must use custom domain verification or domain whitelist

## 1.3.0 - 2016-04-07
* do not set model error and flash

## 1.2.0 - 2016-04-01
* custom domain validation

## 1.1.0 - 2016-01-27
* support RACK_ENV

## 1.0.2 - 2015-11-30
* nice deprecations for api_version

## 1.0.1 - 2015-11-30
* no longer defines `Rails` when `recaptcha/rails` is required

## 1.0.0 - 2015-11-30
* remove api v1 support
* remove ssl_api_server_url, nonssl_api_server_url, change api_server_url to always need ssl option
* removed activesupport dependency for .to_query
* made flash and models both have descriptive errors

## 0.6.0 - 2015-11-19
* extract token module
* need to use `gem "recaptcha", require: "recaptcha/rails"` to get rails helpers installed

## 0.5.0 - 2015-11-18
* size option
* support disabling stoken
* support Rails.env

## 0.3.6 / 2012-01-07

* Many documentation changes
* Fixed deprecations in dependencies
* Protocol relative JS includes
* Fixes for options hash
* Fixes for failing tests

## 0.3.5 / 2012-05-02

* I18n for error messages
* Rails: delete flash keys if unused

## 0.3.4 / 2011-12-13

* Rails 3
* Remove jeweler

## 0.2.2 / 2009-09-14

* Add a timeout to the validator
* Give the documentation some love

## 0.2.1 / 2009-09-14

* Removed Ambethia namespace, and restructured classes a bit
* Added an example rails app in the example-rails branch

## 0.2.0 / 2009-09-12

* RecaptchaOptions AJAX API Fix
* Added 'cucumber' as a test environment to skip
* Ruby 1.9 compat fixes
* Added option :message => 'Custom error message' to verify_recaptcha
* Removed dependency on ActiveRecord constant
* Add I18n

## 0.1.0 / 2008-2-8

* 1 major enhancement
* Initial Gem Release